/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

// License: GPLv2+

var el = wp.element.createElement,
    registerBlockType = wp.blocks.registerBlockType,
    ServerSideRender = wp.components.ServerSideRender,
    TextControl = wp.components.TextControl,
    SelectControl = wp.components.SelectControl,
    InspectorControls = wp.editor.InspectorControls;

var ppIcon = wp.element.createElement(
	"svg",
	{ xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", viewBox: "0 0 24 24" },
	wp.element.createElement("path", { d: "M22 9.761c0 .536-.065 1.084-.169 1.627-.847 4.419-3.746 5.946-7.449 5.946h-.572c-.453 0-.838.334-.908.789l-.803 5.09c-.071.453-.456.787-.908.787h-2.736c-.39 0-.688-.348-.628-.732l1.386-8.88.062-.056h2.155c5.235 0 8.509-2.618 9.473-7.568.812.814 1.097 1.876 1.097 2.997zm-14.216 4.252c.116-.826.459-1.177 1.385-1.179l2.26-.002c4.574 0 7.198-2.09 8.023-6.39.8-4.134-2.102-6.442-6.031-6.442h-7.344c-.517 0-.958.382-1.038.901-2.304 14.835-2.97 18.607-3.038 19.758-.021.362.269.672.635.672h3.989l1.159-7.318z" })
);

registerBlockType('gbdb/donation-block', {
	title: 'Donation Button',
	icon: ppIcon,
	category: 'widgets',
	edit: function edit(props) {
		return [el(ServerSideRender, {
			block: 'gbdb/donation-block',
			attributes: props.attributes
		}), el(InspectorControls, {}, el(TextControl, {
			label: 'PayPal Email',
			value: props.attributes.email,
			type: 'text',
			onChange: function onChange(value) {
				props.setAttributes({ email: value });
			}
		}), el(TextControl, {
			label: 'Amount',
			value: props.attributes.amount,
			type: 'number',
			onChange: function onChange(value) {
				props.setAttributes({ amount: value });
			}
		}), el(SelectControl, {
			label: 'Currency',
			value: props.attributes.currency,
			options: [{ value: 'AUD', label: 'Australian Dollars (A $)' }, { value: 'BRL', label: 'Brazilian Real' }, { value: 'CAD', label: 'Canadian Dollars (C $)' }, { value: 'CZK', label: 'Czech Koruna' }, { value: 'DKK', label: 'Danish Krone' }, { value: 'EUR', label: 'Euros (€)' }, { value: 'HKD', label: 'Hong Kong Dollar ($)' }, { value: 'HUF', label: 'Hungarian Forint' }, { value: 'ILS', label: 'Israeli New Shekel' }, { value: 'JPY', label: 'Yen (¥)' }, { value: 'MYR', label: 'Malaysian Ringgit' }, { value: 'MXN', label: 'Mexican Peso' }, { value: 'NOK', label: 'Norwegian Krone' }, { value: 'NZD', label: 'New Zealand Dollar ($)' }, { value: 'PHP', label: 'Philippine Peso' }, { value: 'PLN', label: 'Polish Zloty' }, { value: 'GBP', label: 'Pounds Sterling (£)' }, { value: 'RUB', label: 'Russian Ruble' }, { value: 'SGD', label: 'Singapore Dollar ($)' }, { value: 'SEK', label: 'Swedish Krona' }, { value: 'CHF', label: 'Swiss Franc' }, { value: 'TWD', label: 'Taiwan New Dollar' }, { value: 'THB', label: 'Thai Baht' }, { value: 'TRY', label: 'Turkish Lira' }, { value: 'USD', label: 'US Dollars' }],
			onChange: function onChange(value) {
				props.setAttributes({ currency: value });
			}
		}), el(TextControl, {
			label: 'Purpose',
			type: 'text',
			value: props.attributes.purpose,
			onChange: function onChange(value) {
				props.setAttributes({ purpose: value });
			}
		}))];
	},
	save: function save() {
		return null;
	}
});

/***/ })
/******/ ]);